import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import {
  LOADING_END,
  LOADING_START,
} from "../../../../lib/redux/slices/appSlice";
// import { getRoleFromUrl } from "../../../../utils/getRoleFromUrl";

export const getKillhouseRemainWeight = createAsyncThunk(
  "GET_KILLHOUSE_REMAIN_WEIGHT",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "/api/killhouse-remain-weight"
      //     , {
      //   params: { role: getRoleFromUrl() },
      // }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
